<template>
  <div>
    <FrTitle class="fr-mb-6w" larger> A propos </FrTitle>

    <section class="fr-col-lg-8 anct-html-content" v-html="content" />
  </div>
</template>

<script>
import FrTitle from '~/components/ui/Title';

export default {
  name: 'AboutPage',

  components: { FrTitle },

  async asyncData({ $axios }) {
    const { data: res } = await $axios.get('items/A_propos', {
      params: {
        fields: 'content',
      },
    });

    const { content } = res.data;

    return { content };
  },
};
</script>

<style scoped>
/deep/ .anct-html-content blockquote {
  margin-left: 0;
  border-left: 4px solid var(--blue-france-main-525);
  padding-left: 16px;
}

/deep/ .anct-html-content blockquote p {
  margin-bottom: 0;
}

/deep/ .anct-html-content blockquote p strong {
  font-weight: normal;
}

/deep/ .anct-html-content ul,
/deep/ .anct-html-content ol {
  margin-left: 24px;
  margin-bottom: 16px;
}

/deep/ .anct-html-content ul p {
  margin-bottom: 8px;
}

/deep/ .anct-html-content h2 {
  margin-top: 48px;
}

@media screen and (max-width: 800px) {
  /deep/ .anct-html-content video {
    width: 100%;
    height: fit-content;
  }
}
</style>
